Skip to main content

Update Merchant

Endpoint​

PUT /api/v2/{merchantId}

Header parameters​

HeaderTypeRequiredDescription
Ocp-Apim-Subscription-KeystringYesYour PaySuite subscription key
Content-TypestringYesapplication/json

Path Parameters​

ParameterTypeRequiredDescription
merchantIduuidYesUnique merchant identifier

Request parameters​

ParameterTypeRequiredDescription
divisionAccountIdstring max(100)requiredA PaySuite created Account Id to identify the SoftCo.

This will be provided to the SoftCo during the project setup
customerIdstring max(100)requiredA unique identifier for the customer in the SoftCo product.

This will be returned in the webhook events and should be used to identify the customer in the SoftCo product.
returnUrlstringrequiredURL to redirect after onboarding completion. This redirect will happen trigger after the Stripe hosted onboarding flow has been completed (or cancelled) by the customer.
evoobjectrequiredObject to provide the required details for the Evo platform. See Evo object

Payload example​

Payment Gateway stripe example​

{
"divisionAccountId": "<string>",
"customerId": "<string>",
"returnUrl": "<url>",
"evo": {
"organisationId": "<GUID>",
"customerReference": "<Finance CuCode>"
}
}

Response parameters​

Status Code: 201 Created​

ParameterTypeDescription
divisionAccountIdstringAs provided in the request.
customerIdstringAs provided in the request.
merchantIduuidA PaySuite ID used for future queries to obtain the onboarding status.
sessionIdstringA unique identifier to track the session.
traceIdstringA unique trace identifier for the request.
actionobjectObject containing the action to be performed by the SoftCo product.
→ typestringIdentifies the type of action to perform. Will either return redirect or embed based on the Soft Co settings
→ redirectUrlstring(conditional) If type is redirect. The URL to redirect the customer to start the onboarding journey. Use this to initiate the Redirect MFE Onboarding journey.
→ stripe.connectAccountIdstringThe Stripe Connect identifier for the customer.
→ stripe.clientSecretstring(conditional) If type is embed. The Stripe Connect identifier for the customer. Use this to initiate the Stripe Onboarding component, see embedded onboarding

Payload redirect example​

{
"divisionAccountId": "<string>",
"customerId": "<string>",
"merchantId": "<string>",
"sessionId": "<string>",
"traceId": "<string>",
"action": {
"type": "redirect",
"redirectUrl": "<URL>",
"stripe": {
"connectAccountId": "<string>"
}
}
}

Payload embedded example​

{
"divisionAccountId": "<string>",
"customerId": "<string>",
"merchantId": "<string>",
"sessionId": "<string>",
"traceId": "<string>",
"action": {
"type": "embed",
"stripe": {
"connectAccountId": "<string>",
"clientSecret": "<string>"
}
}
}